<template>
  <q-page padding>
    <!-- content -->
    <img
      id="map"
      src="http://localhost:3000/floorplan.png"
      alt=""
    >
    <RoomList
      :mapView="true"
      :dept="this.dept"
    />
  </q-page>
</template>

<script>
import RoomList from '../components/RoomList'
import HospitalService from '../services/HospitalService'

export default {
  name: 'Hospital',
  components: {
    RoomList
  },
  created () {
    this.hospitalService = new HospitalService()
    this.loadDept(0)
  },
  data: () => ({
    dept: null
  }),
  methods: {
    async loadDept (id) {
      this.dept = await this.hospitalService.getDepartment(id)
    }
  }
}
</script>
<style lang="css" scoped>
q-page {
  font-family: "Roboto", serif;
}
#map {
  position: relative;
  width: 80%;
  height: 100%;
  height: auto;
}
</style>
